Bug 326291 - Some URW fonts include erroneous glyph, fixed upstream
Some URW fonts include erroneous glyph, fixed upstream
Product: Fedora
Classification: Fedora
Component: urw-fonts (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-10 09:10 EDT by Nick Lamb
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: urw-fonts-2.4-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-15 04:08:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nick Lamb 2007-10-10 09:10:03 EDT
Description of problem:

The URW-fonts package in Fedora 7 erroneously includes font metadata which uses
the ogonek (a Polish diacritic, ie an accent) as U+FFFD the replacement
character in Unicode. This probably happened as a result of a bug in some
non-Unicode capable software years ago.

However it seems to be fixed in the latest version of these fonts, which I
linked as the URL for this bug report.

Version-Release number of selected component (if applicable):


How reproducible:

This is a bug in the data, it is 100% reproducible for me

Steps to Reproduce:
1. View a web or other document which uses the URW fonts
2. Find somewhere where corruption or other error introduced U+FFFD
3. Look at the glyph shown
Actual results:

Notice that it appears as a curious comma-like accent, the ogonek!

Expected results:

It should be a question mark in a diamond or similar glyph as specified in
Unicode. Some other fonts provide such glyphs, if they do not then fallback
provides such a glyph from another font.

I suggest that simply updating to a newer version of the upstream font package
should fix this problem.
Comment 1 Nick Lamb 2007-10-10 09:12:39 EDT
Oops, I forgot to mention that the specific fonts affected by this bug were

URW Gothic L, Nimbus Sans L, and Century Schoolbook L

Other fonts were not affected by this erroneous glyph
Comment 2 Nick Lamb 2007-11-15 04:08:18 EST
This problem is fixed in Fedora 8, with the package


Note You need to log in before you can comment on or make changes to this bug.